%define gettext_package rhgb

Summary: System Graphical Boot
Name: rhgb
Version: 0.14.1
Release: 11
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
ExcludeArch: s390 s390x ppc64
BuildRequires: vte-devel
Requires: initscripts >= 7.22-1
Patch0: cpuuse.patch
Patch1: rhgb-0.14.1-nofedoralogo.patch
Patch2: latepipeinit.patch
Patch3: rhgbdisplay9.patch
Patch4: rhgb-0.14.1-init-utf8.patch
Patch5: rhgb-0.14.1-dont-switch-vts-on-timeout.patch
Patch6: oracle-rhgb.patch

%description
System Graphical Boot provides a clean and simple interface to the boot process

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .init-utf8
%patch5 -p1 -b .dont-switch-vts-on-timeout
%patch6 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{gettext_package}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_datadir}/rhgb
/etc/rhgb
/etc/rhgb/temp
%doc doc/HOW_IT_WORKS

%changelog
* Wed Oct 25 2006 Joel Becker <joel.becker@oracle.com> 0.14.1-11
- Fix rhnsd translation source string

* Mon Oct 23 2006 Kurt Hackel <kurt.hackel@oracle.com>  0.14.1-10
- update description for Enterprise Linux

* Wed Oct 18 2006 Philip Copeland <philip.copeland@oracle.com>  0.14.1-10
- minor tweeks

* Mon Dec 12 2005 Ray Strode <rstrode@redhat.com> 0.14.1-9
- don't automatically assume things have gone wrong if rhgb
  is running for more than 35 seconds; don't change vts.

* Tue Aug  2 2005 Ray Strode <rstrode@redhat.com> 0.14.1-8
- actually apply patch

* Tue Aug  2 2005 Ray Strode <rstrode@redhat.com> 0.14.1-7
- update previous patch

* Tue Aug  2 2005 Ray Strode <rstrode@redhat.com> 0.14.1-6
- initialize console to utf-8 mode (bug 160636).

* Thu Nov 18 2004 Daniel Veillard <veillard@redhat.com> 0.14.1-5
- do not prevent vncservers to start since it is usually on :1 c.f. #139704

* Thu Nov 18 2004 Daniel Veillard <veillard@redhat.com> 0.14.1-4
- do not block boot on pipe write if X fails to start #135574

* Thu Nov 18 2004 Daniel Veillard <veillard@redhat.com> 0.14.1-3
- removing the fedora logo from the installed package #139789

* Tue Nov 16 2004 Daniel Veillard <veillard@redhat.com> 0.14.1-2
- one line patch to fix the 100% CPU usage #139463

* Wed Oct 13 2004 Daniel Veillard <veillard@redhat.com> 0.14.1
- try to fix the DRI problem in conjunction with x.org update
- update languages
- fix for #134742

* Tue Oct  5 2004 Elliot Lee <sopwith@redhat.com> 0.13.5-2
- rhgb-0.13.5-firstboot patch - don't do a timeout while we're running firstboot- Use _smp_mflags macro

* Fri Oct  1 2004 Daniel Veillard <veillard@redhat.com> 0.13.5
- updated the localization strings

* Thu Sep 30 2004 Daniel Veillard <veillard@redhat.com> 0.13.4
- updated the localization strings

* Fri Sep 24 2004 Daniel Veillard <veillard@redhat.com> 0.13.3
- added documentation on the boot process
- updated the localization strings

* Sat Sep 18 2004 Daniel Veillard <veillard@redhat.com> 0.13.2
- add support for specific conf file in /etc/rhgb/xorg.conf #131063
- avoid dropping back to text mode between rhgb end and gdm #108665

* Wed Sep 15 2004 Daniel Veillard <veillard@redhat.com> 0.13.1
- fix vt1 switching #131899
- fix fsck reporting, exporing it to the vte, requires a patch to
  initscript too #107121, #129881
- move temp fielsystem to /etc/rhgb/temp
- provide a mechanism to output to the detailed view
- automatically switch to detailed view or vt1 on timeouts

* Sat Sep 11 2004 Daniel Veillard <veillard@redhat.com> 0.12.6
- fix the X keyboard setting before launching firstboot #100686

* Fri Sep 10 2004 Daniel Veillard <veillard@redhat.com> 0.12.5
- fix part of the patch for xinerama which hung firstboot #128003

* Thu Sep  9 2004 Daniel Veillard <veillard@redhat.com> 0.12.4
- move rhgb out of /initrd to /etc/rhgb fixes #117575

* Tue Jul 27 2004 Daniel Veillard <veillard@redhat.com> 0.12.3
- update for translations, should fix #128288

* Mon Jul 12 2004 Daniel Veillard <veillard@redhat.com> 0.12.2
- previous version lost two patches which were not commited

* Mon Jul 12 2004 Daniel Veillard <veillard@redhat.com> 0.12.1
- bug fixes for xinerama and build fixes
- lot of translation strings update

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.11
- only launch if explicitly listed in grub

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.10.6-1
- add working xkb support

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-2
- Don't build on s390, s390x and ppc64 as they don't have libxf86config.

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-1
- add xkb support

* Tue Oct  7 2003 Jonathan Blandford <jrb@redhat.com> 0.10.4.-1s
- new splash code

* Wed Jul  9 2003 Bill Nottingham <notting@redhat.com> 0.9.4-1
- fix checking for command-line arguments, again

* Mon Jul  7 2003 Bill Nottingham <notting@redhat.com> 0.9.3-1
- fix checking for command-line arguments

* Fri Oct 11 2002 Jonathan Blandford <jrb@redhat.com>
- Initial build.


